
From: Alan Cox <alan@redhat.com>

VIA audio had a fix from 2.4 missing so any user could spam the system log. Also
include a fix for a bug which is pending 2.4 fixing too and causes a bogus
warning to be displayed on close of audio file handle.



 25-akpm/sound/oss/via82cxxx_audio.c |    5 ++---
 1 files changed, 2 insertions(+), 3 deletions(-)

diff -puN sound/oss/via82cxxx_audio.c~via-audio-fixes sound/oss/via82cxxx_audio.c
--- 25/sound/oss/via82cxxx_audio.c~via-audio-fixes	Thu Dec 18 14:19:36 2003
+++ 25-akpm/sound/oss/via82cxxx_audio.c	Thu Dec 18 14:19:36 2003
@@ -15,7 +15,7 @@
  */
 
 
-#define VIA_VERSION	"1.9.1-ac3-2.5"
+#define VIA_VERSION	"1.9.1-ac4-2.5"
 
 
 #include <linux/config.h>
@@ -1237,7 +1237,6 @@ static int via_chan_set_stereo (struct v
 		}
 	/* unknown */
 	default:
-		printk (KERN_WARNING PFX "unknown number of channels\n");
 		val = -EINVAL;
 		break;
 	}
@@ -3368,7 +3367,7 @@ static int via_dsp_release(struct inode 
 
 	if (file->f_mode & FMODE_WRITE) {
 		rc = via_dsp_drain_playback (card, &card->ch_out, nonblock);
-		if (rc && rc != ERESTARTSYS)	/* Nobody needs to know about ^C */
+		if (rc && rc != -ERESTARTSYS)	/* Nobody needs to know about ^C */
 			printk (KERN_DEBUG "via_audio: ignoring drain playback error %d\n", rc);
 
 		via_chan_free (card, &card->ch_out);

_
